<?php 
header("Access-Control-Allow-Origin: *");
header("Content-Type:application/json; charset=UTF-8");
header("Access-Control-Allow-Methods:POST");
header("Access-Control-Max-Age:3600");
header("Access-Control-Allow-Headers:Content-Type,Access-Control-Allow-Headers,Authorization,X-Requested-With");

include_once '../Database.php';
include_once 'User.php';
include_once 'password.php';

$database = new DataBase();
$db = $database->getConnection();

$usuario = new Usuario($db);
try{
	$data = json_decode(file_get_contents("php://input"));
	if(!isset($data)){
	    return json_encode(array("Error"=>true,"Mensaje"=>"Los  valores no son validos"));
	}
	//print_r($data);
	
	$nombre = isset($data->nombre)?$data->nombre:null;
	$correo = isset($data->correo)?$data->correo:'';
	$telefono = isset($data->telefono)?$data->telefono:'';
    $opciones = array('cost' => 12);
     
    $pass= password_hash($data->pass, PASSWORD_BCRYPT, $opciones);
    $notificar=isset($data->notificar)?$data->notificar:'';
    $inicio=isset($data->inicio)?$data->inicio:'';
	
	$query = "INSERT INTO ".$usuario->table_name." SET nombre=:nombre, correo=:correo, telefono=:telefono,notificar=:notificar,inicio=:inicio,pass=:pass";
	$stm = $usuario->conn->prepare($query);
	$stm->bindParam(":nombre",$nombre);
	$stm->bindParam(":correo",$correo);
	$stm->bindParam(":telefono",$telefono);
	$stm->bindParam(":notificar",$notificar);
	$stm->bindParam(":inicio",$inicio);
	$stm->bindParam(":pass",$pass);
	
	$stmt = $usuario->Insert($stm);
	if($stmt !==false){
		echo json_encode(array("Error"=>false,"Id"=>$stmt));
	}else{
		echo json_encode(array("Error"=>true,"Mensaje"=>"No se ha creado el registro","datos"=>$data));
	}
}catch(Exception $ex){
	echo json_encode(array("Error"=>true,"Mensaje"=>"No se ha podido procesar la solicitud"));
}


?>